package com.sifang.modules.supply.stock;

import java.math.BigDecimal;

public class KeepUnit {

    private String userId;

    private String userName;

    private String type;

    private String source;

    private String sourceId;

    private String sourceCode;

    private String remarks;

    private String materialId;

    private String materialCode;

    private String materialType;

    private String materialUnit;

    private String materialRemarks;

    private BigDecimal costPrice;

    private BigDecimal bdSalesPrice;

    private BigDecimal amount;

    private String warehouseId;

    private String keepId;

    private String projectCode;

    public KeepUnit() {}

    public KeepUnit(String userId, String userName, String type, String source, String sourceId, String sourceCode,
                    String remarks, String materialId, String materialCode, String materialType, String materialRemarks, BigDecimal costPrice,
                    BigDecimal bdSalesPrice, BigDecimal amount, String warehouseId, String keepId,String materialUnit) {
        this.userId = userId;
        this.userName = userName;
        this.type = type;
        this.source = source;
        this.sourceId = sourceId;
        this.sourceCode = sourceCode;
        this.remarks = remarks;
        this.materialId = materialId;
        this.materialCode = materialCode;
        this.materialType = materialType;
        this.materialRemarks = materialRemarks;
        this.costPrice = costPrice;
        this.bdSalesPrice = bdSalesPrice;
        this.amount = amount;
        this.warehouseId = warehouseId;
        this.keepId = keepId;
        this.materialUnit = materialUnit;
    }

    public String getMaterialUnit() {
        return materialUnit;
    }

    public void setMaterialUnit(String materialUnit) {
        this.materialUnit = materialUnit;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getSourceCode() {
        return sourceCode;
    }

    public void setSourceCode(String sourceCode) {
        this.sourceCode = sourceCode;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getMaterialRemarks() {
        return materialRemarks;
    }

    public void setMaterialRemarks(String materialRemarks) {
        this.materialRemarks = materialRemarks;
    }

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public BigDecimal getBdSalesPrice() {
        return bdSalesPrice;
    }

    public void setBdSalesPrice(BigDecimal bdSalesPrice) {
        this.bdSalesPrice = bdSalesPrice;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getKeepId() {
        return keepId;
    }

    public void setKeepId(String keepId) {
        this.keepId = keepId;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }
}
